# copyright: 'Huynh Duong Phuong Vi @ 2013-2019'
# www.sketchupforyou.com
module S4U
	module S4u_Divide
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_divide"
		Strings  = LanguageHandler.new(NAME + ".strings")
		TOOL="Divide"
		IS_WIN = (Sketchup.platform == :platform_win)
		IS_OSX = (Sketchup.platform == :platform_osx)
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi @ 2013-2019'
		@ext.creator =  'Huynh Duong Phuong Vi (www.sketchupforyou.com)'
		@ext.version = '3.1.3'
		@ext.description = Strings["S4u-Divide divide faces follow 2 directions."]
		Sketchup.register_extension @ext, true
	end      
end